Hail API
GET
/emails/stats

Query Parameters

from?|null
to?|null
bucket?Bucket
Default"day"

Value in

  • "hour"
  • "day"

Header Parameters

authorization?string|null

Response Body

application/json

application/json

curl -X GET "https://example.com/emails/stats"
{  "from": "2019-08-24T14:15:22Z",  "to": "2019-08-24T14:15:22Z",  "bucket": "hour",  "totals": {    "sent": 0,    "delivered": 0,    "delivery_delayed": 0,    "bounced": 0,    "bounced_hard": 0,    "complained": 0,    "rejected": 0,    "opened": 0,    "clicked": 0,    "unique_opened": 0,    "unique_clicked": 0  },  "rates": {    "delivery": 0,    "bounce": 0,    "complaint": 0,    "open": 0,    "click": 0  },  "series": [    {      "sent": 0,      "delivered": 0,      "delivery_delayed": 0,      "bounced": 0,      "bounced_hard": 0,      "complained": 0,      "rejected": 0,      "opened": 0,      "clicked": 0,      "unique_opened": 0,      "unique_clicked": 0,      "bucket_start": "2019-08-24T14:15:22Z"    }  ]}